org.jboss.jca.common.metadata.common

## Class CredentialImpl

- java.lang.Object
- - org.jboss.jca.common.metadata.common.CredentialImpl

- All Implemented Interfaces:
    java.io.Serializable, org.jboss.jca.common.api.metadata.common.Credential, org.jboss.jca.common.api.metadata.common.SecurityMetadata, org.jboss.jca.common.api.metadata.JCAMetadata, org.jboss.jca.common.api.metadata.ValidatableMetadata
  Direct Known Subclasses:
    DsSecurityImpl

      public class CredentialImpl
      extends java.lang.Object
      implements org.jboss.jca.common.api.metadata.common.Credential

  Credential implementation
  Author:
    Stefano Maestri, Jesper Pedersen
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.common.api.metadata.common.Credential

      `org.jboss.jca.common.api.metadata.common.Credential.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialImpl(java.lang.String userName, java.lang.String password, java.lang.String securityDomain)` Create a new SecurityImpl.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getPassword()` Get the password.
    `java.lang.String` | `getSecurityDomain()` Get the securityDomainManaged.
    `java.lang.String` | `getUserName()` Get the userName.
    `int` | `hashCode()`
    `java.lang.String` | `resolveSecurityDomain()` Get the security domain for security-domain security management
    `void` | `validate()` Validate this metadata according validation required by specification

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CredentialImpl

          public CredentialImpl(java.lang.String userName,
                                java.lang.String password,
                                java.lang.String securityDomain)
                         throws org.jboss.jca.common.api.validator.ValidateException

      Create a new SecurityImpl.
      Parameters:
        `userName` - userName
        `password` - password
        `securityDomain` - securityDomain
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - ValidateException

  - ### Method Detail

    - #### getUserName

          public final java.lang.String getUserName()

      Get the userName.
      Specified by:
        `getUserName` in interface `org.jboss.jca.common.api.metadata.common.Credential`
      Returns:
        the userName.

    - #### getPassword

          public final java.lang.String getPassword()

      Get the password.
      Specified by:
        `getPassword` in interface `org.jboss.jca.common.api.metadata.common.Credential`
      Returns:
        the password.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getSecurityDomain

          public final java.lang.String getSecurityDomain()

      Get the securityDomainManaged.
      Specified by:
        `getSecurityDomain` in interface `org.jboss.jca.common.api.metadata.common.Credential`
      Returns:
        the securityDomainManaged.

    - #### resolveSecurityDomain

          public final java.lang.String resolveSecurityDomain()

      Description copied from interface: `org.jboss.jca.common.api.metadata.common.SecurityMetadata`
      Get the security domain for security-domain security management
      Specified by:
        `resolveSecurityDomain` in interface `org.jboss.jca.common.api.metadata.common.SecurityMetadata`
      Returns:
        the security-domain to use

    - #### validate

          public void validate()
                        throws org.jboss.jca.common.api.validator.ValidateException

      Description copied from interface: `org.jboss.jca.common.api.metadata.ValidatableMetadata`
      Validate this metadata according validation required by specification
      Specified by:
        `validate` in interface `org.jboss.jca.common.api.metadata.ValidatableMetadata`
      Throws:
        `org.jboss.jca.common.api.validator.ValidateException` - in case of validation fail

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)